//**********************************************************************//
//									//
//		ALL SHADERS EDITED BY ROB PETERSON			//
//			aka: GONNAKILLYA!				//
//			rob_p@altavista.com				//
//	 	     Created: January 5th, 2001				//
//		  							//
//**********************************************************************//


textures/contortion/alcovebase
{
	q3map_surfacelight 4500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/alcovebase.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/alcovebase.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/backglass1
{
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/backglass1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/backglass1.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/bluedesign
{
	q3map_surfacelight 100
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/bluedesign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/bluedesign.tga
		blendFunc GL_ONE GL_ONE
	}
}

//**********Lens Flare Sprite effect

textures/contortion/blueflare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/contortion/blueflare.tga
		tcMod rotate 5
		blendFunc GL_ONE GL_ONE
	}
}

//**********Bouncepad Texture

textures/contortion/bouncepadrobblock
{
	surfaceparm nodamage
	q3map_lightimage textures/contortion/jumppadblue.tga
	q3map_surfacelight 400

	{
		map textures/contortion/bouncepadrobblock.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/contortion/bouncepadroblayer.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/contortion/jumppadblue.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 8.5
		
	}
}

textures/contortion/cargodoorlight
{
	q3map_surfacelight 1500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/cargodoorlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/cargodoorlight.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/ceilinglight
{
	q3map_surfacelight 40
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/ceilinglight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/ceilinglight.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/ceilinglight2
{
	q3map_surfacelight 1500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/ceilinglight2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/ceilinglight2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}



textures/contortion/divisionpanelra
{
	q3map_surfacelight 1000
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/divisionpanelra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/divisionpanelra.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/contortion/dreadlight
{
	q3map_surfacelight 100
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/dreadlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/dreadlight.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}




textures/contortion/lightpillar
{
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/lightpillar.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/lightpillar.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/lights3
{
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/lights3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/lights2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/lights_b
{
	q3map_surfacelight 100
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/lights_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/lights_b.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/mainfloor
{
	q3map_surfacelight 100
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/mainfloor.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/mainfloor.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/medlight
{
	q3map_surfacelight 600
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/medlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/medlight.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}




textures/contortion/primaryhall_basiclight
{
	q3map_surfacelight 20
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/primaryhall_basiclight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/primaryhall_basiclight_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/contortion/runnerlights2
{
	surfaceparm nodamage
	q3map_lightimage textures/contortion/runnerlights_glow
	q3map_surfacelight 400

	{
		map textures/contortion/runnerlights2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/contortion/runnerlights_glow.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
}

textures/contortion/stationlights
{
	q3map_surfacelight 250
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/stationlights.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/stationlights.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/transpadtop
{
	q3map_surfacelight 1500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/transpadtop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/transpadtop.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/turbowall2
{
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/turbowall2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/turbowall2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/contortion/wallbottom
{
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/wallbottom.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/wallbottom.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}



//*********My First Sky Box! Textures created in Terragen.

textures/contortion/contortion_skybox
{
qer_editorimage textures/contortion/contortionsky1 
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_sun 1.00 0.949 0.977 100 45 45
q3map_surfacelight 35 //this will give the ambient areas that nice blue you get an hour or so before sunset in Santorini, Greece

skyparms env/contortion/contortionsky - -

} 


textures/contortion/pulsinglight
{
    surfaceparm nodamage
    q3map_lightimage textures/contortion/pulsinglight
    q3map_surfacelight 250

    {
        map textures/contortion/pulsinglight.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc gl_dst_color gl_zero
    }
    {
        map textures/contortion/pulse.tga
        blendfunc gl_one gl_one
        rgbGen wave sin .5 .5 0 1.5
        tcmod scroll 0 2.0
    }
}


//Evil Lair's map object

models/mapobjects/el_gen/el_gen     
{        
        {     
		map models/mapobjects/el_gen/el_gen.tga     
		rgbGen identity     
	}     
	    {
        map $lightmap
        blendfunc filter
    }
      
        {     
                map models/mapobjects/el_gen/el_gen_fx.tga     
                blendFunc add     
                tcmod scroll 0 .4       
                rgbGen identity     
	} 
        {     
                map models/mapobjects/el_gen/el_gen_fx2.tga     
                blendFunc add     
                tcmod scroll 0 -.3      
                rgbGen identity  
	}                        
    
        { 
		map models/mapobjects/el_gen/el_gen.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen filter 
	}  
	
}


//Evil's Lair textures
textures/contortion/e6btrim_light
{
	q3map_surfacelight 400
	surfaceparm nomarks
	q3map_lightimage textures/contortion/e6btrim_light_blend.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/e6btrim_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/e6btrim_light_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


//Evil's Lair textures
textures/contortion/e6walllight
{
	q3map_surfacelight 100
	surfaceparm nomarks
	q3map_lightimage textures/contortion/e6walllight_blend
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/e6walllight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/e6walllight_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


//Evil's Lair textures
textures/contortion/tech_wall_dlight
{
	q3map_surfacelight 500
	surfaceparm nomarks
	q3map_lightimage textures/contortion/tech_wall_dlight_glw.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/tech_wall_dlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/tech_wall_dlight_glw.tga
		blendFunc GL_ONE GL_ONE
	}
}


//Evil's Lair textures
textures/contortion/d_tech_dwteky

{
	q3map_surfacelight 50
	surfaceparm nomarks
	q3map_lightimage textures/contortion/d_tech_dwteky_glow.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/d_tech_dwteky.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/d_tech_dwteky_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}



//Evil's Lair textures
textures/contortion/d_tech_drkwll_pnltek

{
	q3map_surfacelight 50
	surfaceparm nomarks
	q3map_lightimage textures/contortion/d_tech_drkwll_pnltek_glow.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/contortion/d_tech_drkwll_pnltek.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/contortion/d_tech_drkwll_pnltek_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}



//animated control panel

textures/contortion/animpanel
{
        surfaceparm nolightmap
    {
        AnimMap 8 textures/contortion/animpanel.tga textures/contortion/animpanel1.tga textures/contortion/animpanel2.tga textures/contortion/animpanel3.tga textures/contortion/animpanel4.tga textures/contortion/animpanel5.tga textures/contortion/animpanel6.tga textures/contortion/animpanel7.tga 
    }
}


//sock homage

textures/contortion/SOCKanimpanel1
{
        surfaceparm nolightmap
    {
        AnimMap 8 textures/contortion/SOCKanimpanel1.tga textures/contortion/SOCKanimpanel1.tga textures/contortion/SOCKanimpanel2.tga textures/contortion/SOCKanimpanel2.tga textures/contortion/SOCKanimpanel3.tga textures/contortion/SOCKanimpanel3.tga textures/contortion/SOCKanimpanel4.tga  textures/contortion/SOCKanimpanel4.tga
    }
}

textures/contortion/catwalk
{
    qer_editorimage textures/contortion/set1wall4.tga
    surfaceparm metalsteps

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/contortion/set1wall4.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbgen identity
    }
}

textures/contortion/darkcatwalk
{
    qer_editorimage textures/contortion/metal3b.tga
    surfaceparm metalsteps

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/contortion/metal3b.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbgen identity
    }
}


//dancin Sammy animation

textures/contortion/robot1
{
        surfaceparm nolightmap
    {
        AnimMap 8 textures/contortion/robot1.tga textures/contortion/robot2.tga textures/contortion/robot3.tga textures/contortion/robot4.tga textures/contortion/robot5.tga textures/contortion/robot6.tga textures/contortion/robot7.tga  textures/contortion/robot8.tga
    }
}

//portal viewers

textures/contortion/portal_sfxnodeform
{
    qer_editorimage textures/contortion/robportal_sfx.tga
    portal
    surfaceparm nolightmap
    

    {
        map textures/sfx/portal_sfx3.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/contortion/robportal_sfx.tga
        blendfunc gl_one gl_one
    }
    {
        map textures/sfx/portalfog.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen identityLighting
        tcmod rotate .1
        tcmod scroll .01 .03
    }
}




